summaryrefslogtreecommitdiffstats
path: root/tests/lib
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-06-24 17:18:31 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-06-24 17:28:39 (EDT)
commitf0efa30ebed5b709fcf60e3ed79d7b5b612bcc90 (patch)
treedfbdccd178424c2b3d3d89fe6eb9876bd96bfc54 /tests/lib
parent1d1fe814c9a46905bdf996af34c0ff81bf6f8d22 (diff)
tests/lib/ob_get_binary_parameter.sh: New file
Diffstat (limited to 'tests/lib')
-rwxr-xr-xtests/lib/ob_get_binary_parameter.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/lib/ob_get_binary_parameter.sh b/tests/lib/ob_get_binary_parameter.sh
new file mode 100755
index 0000000..1ad8a32
--- /dev/null
+++ b/tests/lib/ob_get_binary_parameter.sh
@@ -0,0 +1,37 @@
+# Tests for ob_get_binary_parameter()
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
+
+plan_ 5
+
+command_ok_ 'ob_init_package()' -- ob_init_package '..'
+
+is 'foo Architecture' \
+ "$(ob_get_binary_parameter 'foo' 'Architecture')" 'any-linux-any'
+is 'foo Platform' \
+ "$(ob_get_binary_parameter 'foo' 'Platform')" 'all'
+is 'bar Architecture' \
+ "$(ob_get_binary_parameter 'bar' 'Architecture')" 'all'
+is 'bar Platform' \
+ "$(ob_get_binary_parameter 'bar' 'Platform')" 'all'